package com.tzld.piaoquan.recommend.server.repository;

import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Author dyp
 */
@Repository
public interface VideoDemandAnalysisRepository extends JpaRepository<VideoDemandAnalysis, Long> {
    @Query("SELECT DISTINCT v.videoId FROM VideoDemandAnalysis v join VideoDemandScore s on v.videoId = s.videoId " +
            "where v.demandCategory in ('文字问答类', '视频推荐类') and s.demandScore>=8 order by v.id desc")
    List<Long> findDistinctVideoId(Pageable pageable);
}